Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4254 - psacct-6.3 with 2.2.10 kernel has corrupted files
Summary: psacct-6.3 with 2.2.10 kernel has corrupted files
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: psacct
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-29 18:56 UTC by jonest
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 16:22:36 UTC


Attachments (Terms of Use)

Description jonest 1999-07-29 18:56:46 UTC
The output below should be a merged summary of users
cpu usage.

/usr/sbin/sa -mi

do_ypcall: clnt_call: RPC: Unable to receive; errno =
Connection refused
do_ypcall: clnt_call: RPC: Unable to receive; errno =
Connection refused
do_ypcall: clnt_call: RPC: Unable to receive; errno =
Connection refused
do_ypcall: clnt_call: RPC: Unable to receive; errno =
Connection refused
do_ypcall: clnt_call: RPC: Unable to receive; errno =
Connection refused
do_ypcall: clnt_call: RPC: Unable to receive; errno =
Connection refused
                                     8506 10734996.86re
89895733.13cp
root                                 7844 9600288.08re
82669510.91cp
256                                   412  390762.17re
4273232.79cp
32512                                  62   14461.84re
846203.83cp
32256                                  62    1649.53re
825884.91cp
15                                     75   96502.71re
708241.34cp
bin                                    16   49077.48re
219249.81cp
news                                    9    6105.95re
78731.97cp
65280                                   5    5330.40re
64470.76cp
daemon                                  7  550218.47re
61347.85cp
gopher                                  5    7602.21re
59419.86cp
8192                                    5    6903.15re
48933.55cp
operator                                3    3986.79re
28311.55cp
12288                                   1    2108.09re
12194.00cp


This is the output of the /usr/sbin/sa -im command from
a 2.0.33 kernel running psacct-6.3-2

[products@fnpc1]$ /usr/sbin/sa -im /var/log/pacct
                                     2647      43.94re
715.64cp
e871                                  732      24.01re
715.12cp
root                                 1282       7.35re
0.22cp
e871code                              475      12.52re
0.20cp
nobody                                 38       0.06re
0.08cp
products                              120       0.00re
0.02cp

Comment 1 seva 1999-07-30 18:06:59 UTC
If you grab psacct-6.5-10 from RH 6.0 and --rebuild it -- it
seems to work...

Make sure to clear the old /var/log/pacct before running the new
accton (cat /dev/null > /var/log/pacct).

Dan is testing it now, but it worked for me.

/Simon
seva@fnal.gov

Comment 2 seva 1999-07-30 18:07:59 UTC
Sorry I meant 6.3-10 not 6.5-10

/Simon
seva@fnal.gov

Comment 3 seva 1999-07-30 23:40:59 UTC
BTW, this problem is really about RH 5.2 (not 6.0) with 2.2.10 kernel.

And Dan has just confirmed that 6.5-10 from 6.0 works with 2.2.10
kernel in the RH 5.2.

RedHat, you may want to drop a newer psacct package in the kernel-2.2
directory...

/Simon
seva@fnal.gov

Comment 4 Bill Nottingham 1999-08-31 16:22:59 UTC
done.


Note You need to log in before you can comment on or make changes to this bug.